package com.mime.dualscreenview.webcontents

import com.mime.dualscreenview.webcontents.contentsinfo.Agit
import com.mime.dualscreenview.webcontents.contentsinfo.Booktoki

object WebContentsManger  {
    val allContentsList : ArrayList<BaseWebContents> = arrayListOf(Booktoki)

    fun getBaseWebContentsBy(name : String) : BaseWebContents {
        var correctContents : BaseWebContents = Booktoki
        for (contents in allContentsList) {
            if(name.equals(contents.getWebcontentsName())) {
                correctContents = contents
                break
            }
        }
        return correctContents
    }
}